Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions
proofs::CounterAux< Logic_, false > Class Template Reference

## Data Structures
struct | CEltW

## Public Types
using | Logic = Logic_
using | Field = typename Logic::Field
using | EltW = typename Logic::EltW
using | BitW = typename Logic::BitW
using | CElt = typename Field::CElt

## Public Member Functions
| CounterAux (const Logic &l)
const Logic & | logic () const
EltW | znz_indicator (const CEltW &celt) const
CEltW | mone () const
CEltW | as_counter (uint64_t n) const
CEltW | as_counter (const CElt &x) const
CEltW | as_counter (const BitW &b) const
template<size_t N>
CEltW | as_counter (const typename Logic::template bitvec< N > &v) const
CEltW | add (const CEltW *a, const CEltW &b) const
CEltW | ite0 (const BitW *a, const CEltW &b) const
CEltW | mux (const BitW *a, const CEltW *b, const CEltW &c) const
void | assert0 (const CEltW &a) const
void | assert_eq (const CEltW *a, const CEltW &b) const
CEltW | input () const

The documentation for this class was generated from the following file:

- lib/circuits/logic/counter.h